%?python_enable_dependency_generator
%global srcname conda-package-handling
%global pkgname conda_package_handling

Name:           python-%{srcname}
Version:        2.2.0
Release:        %mkrel 1
Summary:        Create and extract conda packages of various formats
Group:          Development/Python
License:        BSD
URL:            https://github.com/conda/%{srcname}
Source0:        https://github.com/conda/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-pytest-cov
BuildRequires: python3-pytest-mock

BuildArch:      noarch

%description
Create and extract conda packages of various formats.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Create and extract conda packages of various formats.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files conda_package_handling

%check
%pytest

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/cph


%changelog
* Thu Mar 21 2024 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2051126
- new version 2.2
- the package is now noarch

* Fri Dec 29 2023 joequant <joequant> 1.9.0-2.mga10
+ Revision: 2023644
- update to py3.12

* Thu Sep 29 2022 neoclust <neoclust> 1.9.0-1.mga9
+ Revision: 1893203
- New version 1.9.0

* Tue Sep 06 2022 neoclust <neoclust> 1.8.1-1.mga9
+ Revision: 1884444
- New version

* Fri Apr 01 2022 umeabot <umeabot> 1.7.3-2.mga9
+ Revision: 1838265
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.7.3-1.mga9
+ Revision: 1785532
- rebuild for python-3.10

* Mon Apr 05 2021 joequant <joequant> 1.7.2-1.mga9
+ Revision: 1713534
- update to 1.7.2 / python 3.9

* Thu Jun 04 2020 joequant <joequant> 1.7.0-1.mga8
+ Revision: 1590204
- imported package python-conda-package-handling

